rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions | Variables
tools/rpmcmp.c File Reference
`#include "system.h"`
`#include <popt.h>`
`#include <rpmio_internal.h>`
`#include <rpmcb.h>`
`#include <argv.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include <rpmds.h>`
`#include "debug.h"`
Include dependency graph for rpmcmp.c:

Go to the source code of this file.

## Defines

#define | _RPMDS_INTERNAL
#define | _RPMEVR_INTERNAL
#define | progname __progname

## Functions

static int | pointRpmEVR (ARGV_t av)
int | main (int argc, char *argv[])

## Variables

const char * | __progname
static struct poptOption | optionsTable []

## Define Documentation

#define _RPMDS_INTERNAL

Definition at line 10 of file rpmcmp.c.

#define _RPMEVR_INTERNAL

Definition at line 11 of file rpmcmp.c.

#define progname __progname

Definition at line 17 of file rpmcmp.c.

Referenced by main().

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 49 of file rpmcmp.c.

References _, argvCount(), argvFgets(), optionsTable, pointRpmEVR(), and progname.

static int pointRpmEVR | ( | ARGV_t | av | ) | `[static]`

Definition at line 19 of file rpmcmp.c.

References _free(), alloca(), rpmEVRcompare(), and rpmEVRparse().

Referenced by main().

## Variable Documentation

const char* __progname

Definition at line 16 of file rpmcmp.c.

struct poptOption optionsTable[]`[static]`

Initial value:

     {
     { "debug", 'd', POPT_ARG_VAL,  &_rpmevr_debug, -1,             NULL, NULL },
      POPT_AUTOALIAS
      POPT_AUTOHELP
      POPT_TABLEEND
    }

Definition at line 41 of file rpmcmp.c.

Referenced by main().